CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us

CrossOver Linux
Discussion about CrossOver Linux

The following comments are owned by whoever posted them. We are not responsible for them in any way.

Back to Threads Reply to Thread

openSuSE Tumblweed error at installation

Hi,

I bought crossover V 19.0.1 for Windows applications.
Till now I could install and work with it very good.

But now I cannot install and cannot start crossover:

openSuSE Tumbleweed, Update till 2020-01-16
uname -a:
Linux gimli 5.4.10-1-default #1 SMP Thu Jan 9 15:45:45 UTC 2020 (556a6fe) x86_64 x86_64 x86_64 GNU/Linux
Try to install of "install-crossover-19.0.1.bin" (rpm would also be possible on SuSE).
Destination dir: "/opt/cxoffice"
During installation process I receive the messages:
No messages in "/var/log/message"


gimli:/download/Linux/Crossover # bash -H ./install-crossover-19.0.1.bin
install

(python3:18248): Gtk-WARNING **: 19:03:51.119: Failed to set property 
  GtkProgressBar.orientation to GTK_PROGRESS_LEFT_TO_RIGHT: Could 
  not parse enum: 'GTK_PROGRESS_LEFT_TO_RIGHT'
Traceback (most recent call last):
  File "/opt/cxoffice/bin/cxwait", line 177, in <module>   
    sys.exit(main())
  File "/opt/cxoffice/bin/cxwait", line 170, in main
    GUI = cxwaitui.WaitDialogController(options, args)
  File "/opt/cxoffice/lib/python/cxwaitui.py", line 17, in __init__
    self.xml.connect_signals(self)
ValueError: Pointer arguments are restricted to integers, capsules, and None. See: https://bugzilla.gnome.org/show_bug.cgi?id=683599

> ===
> waiting 20 minutes
> ===
Finished

String from crossover by starting "crossover" on command line (with KDE I do not see any error):

[Code]
harald@gimli:/opt/cxoffice/bin> bash -H crossover
Traceback (most recent call last):
File "crossover", line 168, in <module>
sys.exit(main())
File "crossover", line 161, in main
GUI = crossoverui.open_or_show(options.restore)
File "/opt/cxoffice/lib/python/crossoverui.py", line 43, in open_or_show
DIALOG = CrossOver(restore)
File "/opt/cxoffice/lib/python/crossoverui.py", line 103, in init
self.crossover_gui.connect_signals(self)
ValueError: Pointer arguments are restricted to integers, capsules, and None. See: https://bugzilla.gnome.org/show_bug.cgi?id=683599
harald@gimli:/opt/cxoffice/bin> vi crossover
[/code]


This issue has been forwarded to the Official CodeWeavers Ticket System. If you have observed this issue and would like to report it as well, please open a support ticket or send an email to info@codeweavers.com with a description of what you are seeing and a link to this post.

Thank you!
The CodeWeavers Team

Maybe the difference is that I am using KDE and not gnome.

In forum user fcom86 (Posted 2019-12-26 16:09) had same problem on
openSuSE 15.1 (I use openSuSE tumbleweedwith last all updates)

-> uname -a:
Linux gimli 5.4.10-1-default #1 SMP Thu Jan 9 15:45:45 UTC 2020
(556a6fe) x86_64 x86_64 x86_64 GNU/Linux

-> /etc/os-releas:
NAME="openSUSE Tumbleweed"

VERSION="20200118"

ID="opensuse-tumbleweed"
ID_LIKE="opensuse suse"
VERSION_ID="20200118"
PRETTY_NAME="openSUSE Tumbleweed"ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:tumbleweed:20200118"

Crossover 19.0.1-1.rpm

->kf5-config -v:
Qt: 5.13.1
KDE Frameworks: 5.66.0
kf5-config: 1.0

thanks Harald

Am Dienstag, den 21.01.2020, 10:57 -0600 schrieb Ryan Abhiram:

Hello,

Thank you for reaching out to support. In my attempt to replicate the
problem, i was not able to by installing the .bin for crossover
19.0.1 on OpenSuse Tumbleweed. Please see attachment which shows the
output of the terminal install.
Note after the install additional 32-bit libraries were installed by
running
$ cxoffice/bin/cxfix --auto

Regards,
Codeweavers Support

Solved: installation of Crossover 19.0.1 SuSE tumbleweed:

My environment:

Harald ARNOLD wrote:

-> uname -a:
Linux gimli 5.4.10-1-default #1 SMP Thu Jan 9 15:45:45 UTC 2020
(556a6fe) x86_64 x86_64 x86_64 GNU/Linux

-> /etc/os-release:
NAME="openSUSE Tumbleweed"

VERSION="20200118"

ID="opensuse-tumbleweed"
ID_LIKE="opensuse suse"
VERSION_ID="20200118"
PRETTY_NAME="openSUSE Tumbleweed"ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:tumbleweed:20200118"

Crossover 19.0.1.bin

->kf5-config -v:
Qt: 5.13.1
KDE Frameworks: 5.66.0
kf5-config: 1.0

What I did was what is what William Fischer wrote on 2019-12-17:

1) Run this command:
sudo zypper install gstreamer32 libdrm python3-gobject gobject-introspection girl libdrm python-gobject typelib-1_0-Gtk-3_0 python-xml libcapi20-3-32bit fontconfig-32bit libgphoto2-6-32bit libgsm1-32bit liblcms2-2-32bit libopenal1-32bit libOSMesa9-32bit sane-backends-32bit libXcomposite1-32bit libXinerama1-32bit libxslt1-32bit libXxf86vm1-32bit libgphoto2-6-32bit libudev1-32bit libxshmfence1-32bit libefl1 libglvnd-32bit liblcms2-2-32bit libnss_nis2-32bit libpciaccess0-32bit libxcb-dri3-0-32bit libxcb-glx0-32bit libxcb-present0-32bit libxcb-sync1-32bit libcups2-32bit gtk3 python3-gobject wine gstreamer-plugins-bad gstreamer-plugins-base gstreamer-plugins-good gstreamer-plugins-ugly nss-mdns-32bit libgphoto2-6-32bit openal-soft-devel-32bit sane-backends-32bit libxslt1-32bit libnsl2-32bit libnsl2 gstreamer-32bit
2) install package: python-xml package
3) run a superuser console out off Win --> System --> console superuser mode (su - : did not set all environment vars ?)
4) install "./install-crossover-19.0.1.bin"


gimli:/download/Linux/Crossover # date ; ./install-crossover-19.0.1.bin ; echo $? ; date
Fri Jan 24 18:23:22 CET 2020
install
(cxwait:10177): Gtk-WARNING **: 18:23:33.346: Failed to set property GtkProgressBar.orientation to GTK_PROGRESS_LEFT_TO_RIGHT: Could not parse enum: 'GTK_PROGRESS_LEFT_TO_RIGHT'
1
Fri Jan 24 18:30:55 CET 2020

5) run this command: /home/user/cxoffice/bin/cxfix --auto

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

CodeWeavers or its third-party tools process personal data (e.g. browsing data or IP addresses) and use cookies or other identifiers, which are necessary for its functioning and required to achieve the purposes illustrated in our Privacy Policy. You accept the use of cookies or other identifiers by clicking the Acknowledge button.
Please Wait...
eyJjb3VudHJ5IjoiVVMiLCJsYW5nIjoiZW4iLCJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNzE1NzkzNDc5LCJjc3JmX3Rva2VuIjoiTFRHWWVZcXRLcUxwZko0ayIsImdkcHIiOjB9